cURL
curl --request POST \ --url https://api.example.com/api/v1/transactions/estimate-gas \ --header 'Content-Type: application/json' \ --data ' { "chainId": 8453, "from": "0xabc1230000000000000000000000000000000000", "to": "0xdef4560000000000000000000000000000000000", "amount": "0.1" } '
{ "code": 0, "msg": "ok", "data": { "chainId": 8453, "gasLimit": 21000, "gasPriceGwei": 1.2, "estimatedFeeNative": 0.0000252, "estimatedFeeUsd": 0.09, "confidence": "high", "updatedAt": "2026-05-11T10:00:00.000Z" } }
在用户签名前对转账交易进行 Gas 估算。
Documentation IndexFetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txt
Use this file to discover all available pages before exploring further.
Gas 估算请求体。
链 ID。
8453
发起地址。
"0xabc1230000000000000000000000000000000000"
目标地址。
"0xdef4560000000000000000000000000000000000"
十进制字符串金额。
"0.1"
代币地址;原生币转账可省略或置空。
"0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
成功返回 Gas 估算
统一响应包裹结构。
业务状态码,0 表示成功。
0
可读返回消息。
"ok"
Gas 估算结果。
Show child attributes